[Freeswitch-svn] [commit] r10775 - freeswitch/trunk/build
FreeSWITCH SVN
brian at freeswitch.org
Mon Dec 15 10:14:54 PST 2008
Author: brian
Date: Mon Dec 15 13:14:53 2008
New Revision: 10775
Log:
FSSCRIPTS-10 thanks Sergey
Added:
freeswitch/trunk/build/freeswitch.init.archlinux
Added: freeswitch/trunk/build/freeswitch.init.archlinux
==============================================================================
--- (empty file)
+++ freeswitch/trunk/build/freeswitch.init.archlinux Mon Dec 15 13:14:53 2008
@@ -0,0 +1,35 @@
+#!/bin/sh
+#
+# freeswitch.sh - startup script for freeswitch
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+case "$1" in
+
+ start)
+ if [ -x /var/freeswitch/bin/freeswitch ] ; then
+ stat_busy "freeswitch starting..."
+
+ /var/freeswitch/bin/freeswitch -nc &
+ add_daemon freeswitch
+ stat_done
+ fi
+ ;;
+
+ stop)
+ if [ -x /var/freeswitch/bin/freeswitch ] ; then
+ stat_busy "freeswitch stopping..."
+
+ /var/freeswitch/bin/freeswitch -stop &
+ rm_daemon freeswitch
+ stat_done
+ fi
+ ;;
+
+ *)
+ echo "usage: $0 { start | stop }" >&2
+ exit 1
+ ;;
+
+esac
More information about the Freeswitch-svn
mailing list